Module tdlight.api
Package it.tdlight.jni

# Class TdApi.StorePaymentPurpose

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.StorePaymentPurpose

Direct Known Subclasses:
  `TdApi.StorePaymentPurposeGiftedPremium`, `TdApi.StorePaymentPurposePremiumGiftCodes`, `TdApi.StorePaymentPurposePremiumGiveaway`, `TdApi.StorePaymentPurposePremiumSubscription`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.StorePaymentPurpose extends TdApi.Object permits TdApi.StorePaymentPurposePremiumSubscription, TdApi.StorePaymentPurposeGiftedPremium, TdApi.StorePaymentPurposePremiumGiftCodes, TdApi.StorePaymentPurposePremiumGiveaway
This class is an abstract base class. Describes a purpose of an in-store payment.

## Constructor Summary

Constructors
Constructor
Description
`StorePaymentPurpose()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StorePaymentPurpose

public StorePaymentPurpose()
Default class constructor.